petsc-3.4.2 2013-07-02

# DMPlexSetConeOrientation

Set the orientations on the in-edges for this point in the Sieve DAG

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetConeOrientation(DM dm, PetscInt p, const PetscInt coneOrientation[])

Not collective

### Input Parameters

| mesh | - The DMPlex
| p | - The Sieve point, which must lie in the chart set with DMPlexSetChart()
| coneOrientation | - An array of orientations which are on the in-edges for point p. An orientation is an integer giving the prescription for cone traversal. If it is negative, the cone is traversed in the opposite direction. Its value 'o', or if negative '-(o+1)', gives the index of the cone point on which to start.

### Output Parameter

### Note

This should be called after all calls to DMPlexSetConeSize() and DMSetUp().

### See Also

DMPlexCreate(), DMPlexGetConeOrientation(), DMPlexSetCone(), DMPlexSetChart(), DMPlexSetConeSize(), DMSetUp()

Level:beginner
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages